hspec-2.4.3: A Testing Framework for Haskell

Safe Haskell | None
Language | Haskell2010

Test.Hspec.Discover

Description

Warning: This module is used by `hspec-discover`. It is not part of the public API and may change at any time.

Synopsis

- type Spec = SpecWith ()
- hspec :: Spec -> IO ()
- class IsFormatter a where
- hspecWithFormatter :: IsFormatter a => a -> Spec -> IO ()
- postProcessSpec :: FilePath -> Spec -> Spec
- describe :: String -> SpecWith a -> SpecWith a
- module Prelude

# Documentation

type Spec = SpecWith () #

hspec :: Spec -> IO () #

Run given spec and write a report to `stdout`. Exit with `exitFailure` if at least one spec item fails.

class IsFormatter a where #

Minimal complete definition

toFormatter

Methods

toFormatter :: a -> IO Formatter #

Instances

IsFormatter Formatter # |
Methods toFormatter :: Formatter -> IO Formatter #
IsFormatter (IO Formatter) # |
Methods toFormatter :: IO Formatter -> IO Formatter #

hspecWithFormatter :: IsFormatter a => a -> Spec -> IO () #

postProcessSpec :: FilePath -> Spec -> Spec #

describe :: String -> SpecWith a -> SpecWith a #

The `describe` function combines a list of specs into a larger spec.

module Prelude